<?php
/**
* Header Options.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'cleaning_maintenance_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'cleaning-maintenance' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'cleaning_maintenance_theme_option_panel',
	)
);

$wp_customize->add_setting('cleaning_maintenance_sticky',
    array(
        'default' => $cleaning_maintenance_default['cleaning_maintenance_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'cleaning-maintenance'),
        'section' => 'cleaning_maintenance_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_phone_number',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_phone_number',
    array(
    'label'    => esc_html__( 'Phone Number', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_email_address',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_email_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_email_address',
    array(
    'label'    => esc_html__( 'Email Id', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_address',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_address',
    array(
    'label'    => esc_html__( 'Address', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('cleaning_maintenance_menu_font_size',
    array(
        'default'           => $cleaning_maintenance_default['cleaning_maintenance_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_number_range',
    )
);
$wp_customize->add_control('cleaning_maintenance_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'cleaning-maintenance'),
        'section'     => 'cleaning_maintenance_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_menu_text_transform',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'cleaning_maintenance_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'cleaning-maintenance' ),
    'section'     => 'cleaning_maintenance_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'cleaning-maintenance' ),
        'uppercase'  => esc_html__( 'Uppercase', 'cleaning-maintenance' ),
        'lowercase'    => esc_html__( 'Lowercase', 'cleaning-maintenance' ),
        ),
    )
);

$wp_customize->add_setting('cleaning_maintenance_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'cleaning_maintenance_header_menus_color', array(
    'label'    => __('Main Menu Color', 'cleaning-maintenance'),
    'section'  => 'cleaning_maintenance_button_header_setting',
)));

$wp_customize->add_setting('cleaning_maintenance_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'cleaning_maintenance_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'cleaning-maintenance'),
    'section'  => 'cleaning_maintenance_button_header_setting',
)));

$wp_customize->add_setting('cleaning_maintenance_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'cleaning_maintenance_header_submenus_color', array(
    'label'    => __('Submenu Color', 'cleaning-maintenance'),
    'section'  => 'cleaning_maintenance_button_header_setting',
)));

$wp_customize->add_setting('cleaning_maintenance_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'cleaning_maintenance_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'cleaning-maintenance'),
    'section'  => 'cleaning_maintenance_button_header_setting',
)));

$wp_customize->add_setting('cleaning_maintenance_header_search',
    array(
        'default' => $cleaning_maintenance_default['cleaning_maintenance_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_header_search',
    array(
        'label' => esc_html__('Enable Search', 'cleaning-maintenance'),
        'section' => 'cleaning_maintenance_button_header_setting',
        'type' => 'checkbox',
    )
);